import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:pichosting_admin_panel/services/dio_client.dart';
import 'package:pichosting_admin_panel/state/search/search_cubit.dart';

import 'screens/home.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatelessWidget {
  const MyApp({Key? key}) : super(key: key);

  // This widget is the root of your application.
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      debugShowCheckedModeBanner: false,
      title: 'Picloader',
      home: BlocProvider(
        create: (context) => SearchCubit(DioClient()),
        child: const HomePage(),
      ),
    );
  }
}

